Index: xorg-server-7.2.0.0-1.5.99.1/hw/dmx/dmxinit.c
===================================================================
--- xorg-server-7.2.0.0-1.5.99.1.orig/hw/dmx/dmxinit.c
+++ xorg-server-7.2.0.0-1.5.99.1/hw/dmx/dmxinit.c
@@ -973,61 +1352,36 @@ void ddxUseMsg(void)
 {
     ErrorF("\n\nDevice Dependent Usage:\n");
     ErrorF("-display string      Specify the back-end display(s)\n");
-    ErrorF("-input string        Specify input source for core device\n");
-    ErrorF("-xinput string       Specify input source for XInput device\n");
+    ErrorF("-numDetached num     Specify detached back-end display(s)\n");
     ErrorF("-shadowfb            Enable shadow frame buffer\n");
-    ErrorF("-configfile file     Read from a configuration file\n");
-    ErrorF("-config config       Select a specific configuration\n");
-    ErrorF("-nomulticursor       Turn of multiple cursor support\n");
     ErrorF("-fontpath            Sets the default font path\n");
     ErrorF("-stat inter scrns    Print out performance statistics\n");
     ErrorF("-syncbatch inter     Set interval for XSync batching\n");
-    ErrorF("-nooffscreenopt      Disable offscreen optimization\n");
+    ErrorF("-offscreenopt        Enable offscreen optimization\n");
     ErrorF("-nosubdivprims       Disable primitive subdivision\n");
     ErrorF("                     optimization\n");
-    ErrorF("-nowindowopt         Disable lazy window creation optimization\n");
+    ErrorF("-windowopt           Enable lazy window creation optimization\n");
     ErrorF("-noxkb               Disable use of the XKB extension with\n");
     ErrorF("                     backend displays (cf. -kb).\n");
     ErrorF("-depth               Specify the default root window depth\n");
     ErrorF("-norender            Disable RENDER extension support\n");
 #ifdef GLXEXT
-    ErrorF("-noglxproxy          Disable GLX Proxy\n");
+    ErrorF("-glxproxy            Enable GLX Proxy\n");
     ErrorF("-noglxswapgroup      Disable swap group and swap barrier\n");
     ErrorF("                     extensions in GLX proxy\n");
     ErrorF("-glxsyncswap         Force XSync after swap buffers\n");
     ErrorF("-glxfinishswap       Force glFinish after swap buffers\n");
 #endif
     ErrorF("-ignorebadfontpaths  Ignore bad font paths during initialization\n");
-    ErrorF("-addremovescreens    Enable dynamic screen addition/removal\n");
-    ErrorF("-param ...           Specify configuration parameters (e.g.,\n");
-    ErrorF("                     XkbRules, XkbModel, XkbLayout, etc.)\n");
-    ErrorF("\n");
-    ErrorF("    If the -input string matches a -display string, then input\n"
-           "    is taken from that backend display.  (XInput cannot be taken\n"
-           "    from a backend display.)  Placing \",console\" after the\n"
-           "    display name will force a console window to be opened on\n"
-           "    that display in addition to the backend input.  This is\n"
-           "    useful if the backend window does not cover the whole\n"
-           "    physical display.\n\n");
-    
-    ErrorF("    Otherwise, if the -input or -xinput string specifies another\n"
-           "    X display, then a console window will be created on that\n"
-           "    display.  Placing \",windows\" or \",nowindows\" after the\n"
-           "    display name will control the display of window outlines in\n"
-           "    the console.\n\n");
-    
-    ErrorF("    -input or -xinput dummy specifies no input.\n");
-    ErrorF("    -input or -xinput local specifies the use of a raw keyboard,\n"
-           "    mouse, or other (extension) device:\n"
-           "        -input local,kbd,ps2 will use a ps2 mouse\n"
-           "        -input local,kbd,ms  will use a serial mouse\n"
-           "        -input local,usb-kbd,usb-mou will use USB devices \n"
-           "        -xinput local,usb-oth will use a non-mouse and\n"
-           "                non-keyboard USB device with XInput\n\n");
-    
-    ErrorF("    Special Keys:\n");
-    ErrorF("        Ctrl-Alt-g    Server grab/ungrab (console only)\n");
-    ErrorF("        Ctrl-Alt-f    Fine (1-pixel) mouse mode (console only)\n");
-    ErrorF("        Ctrl-Alt-q    Quit (core devices only)\n");
-    ErrorF("        Ctrl-Alt-F*   Switch to VC (local only)\n");
+    ErrorF("-noaddremovescreens  Disable dynamic screen addition/removal\n");
+#ifdef RANDR
+    ErrorF("-outputs num         RANDR outputs for each back-end display\n");
+    ErrorF("-crtcs num           RANDR crtcs for each back-end display\n");
+#endif
+    ErrorF("-prop name format    Specify property translation\n");
+    ErrorF("-selection name      Specify selection that needs unique prefix\n");
+#ifdef XV
+    ErrorF("-xvimage fourcc      Enable XVideo image format\n");
+#endif
+    ErrorF("--  [ server ] [ display ] [ options ]\n");
 }
Index: xorg-server-7.2.0.0-1.5.99.1/hw/dmx/dmxinit.h
===================================================================
--- xorg-server-7.2.0.0-1.5.99.1.orig/hw/dmx/dmxinit.h
+++ xorg-server-7.2.0.0-1.5.99.1/hw/dmx/dmxinit.h
@@ -38,10 +38,21 @@
 #define DMXINIT_H
 
 #include "scrnintstr.h"
-
-extern Bool dmxOpenDisplay(DMXScreenInfo *dmxScreen);
+extern DMXScreenInfo *dmxAddScreen(const char *name,
+				   const char *display,
+				   const char *authType,
+				   int        authTypeLen,
+				   const char *authData,
+				   int        authDataLen,
+				   int        virtualFb);
+extern Bool dmxOpenDisplay(DMXScreenInfo *dmxScreen,
+			   const char    *display,
+			   const char    *authType,
+			   int           authTypeLen,
+			   const char    *authData,
+			   int           authDataLen);
+extern void dmxCloseDisplay(DMXScreenInfo *dmxScreen);
 extern void dmxSetErrorHandler(DMXScreenInfo *dmxScreen);
-extern void dmxCheckForWM(DMXScreenInfo *dmxScreen);
 extern void dmxGetScreenAttribs(DMXScreenInfo *dmxScreen);
 extern Bool dmxGetVisualInfo(DMXScreenInfo *dmxScreen);
 extern void dmxGetColormaps(DMXScreenInfo *dmxScreen);
Index: xorg-server-7.2.0.0-1.5.99.1/hw/dmx/dmxinput.c
===================================================================
--- xorg-server-7.2.0.0-1.5.99.1.orig/hw/dmx/dmxinput.c
+++ xorg-server-7.2.0.0-1.5.99.1/hw/dmx/dmxinput.c
@@ -1,41 +1,26 @@
 /*
- * Copyright 2001,2002 Red Hat Inc., Durham, North Carolina.
+ * Copyright © 2008 Novell, Inc.
  *
- * All Rights Reserved.
+ * Permission to use, copy, modify, distribute, and sell this software
+ * and its documentation for any purpose is hereby granted without
+ * fee, provided that the above copyright notice appear in all copies
+ * and that both that copyright notice and this permission notice
+ * appear in supporting documentation, and that the name of
+ * Novell, Inc. not be used in advertising or publicity pertaining to
+ * distribution of the software without specific, written prior permission.
+ * Novell, Inc. makes no representations about the suitability of this
+ * software for any purpose. It is provided "as is" without express or
+ * implied warranty.
  *
- * Permission is hereby granted, free of charge, to any person obtaining
- * a copy of this software and associated documentation files (the
- * "Software"), to deal in the Software without restriction, including
- * without limitation on the rights to use, copy, modify, merge,
- * publish, distribute, sublicense, and/or sell copies of the Software,
- * and to permit persons to whom the Software is furnished to do so,
- * subject to the following conditions:
+ * NOVELL, INC. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+ * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
+ * NO EVENT SHALL NOVELL, INC. BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+ * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+ * OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+ * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+ * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
  *
- * The above copyright notice and this permission notice (including the
- * next paragraph) shall be included in all copies or substantial
- * portions of the Software.
- *
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
- * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NON-INFRINGEMENT.  IN NO EVENT SHALL RED HAT AND/OR THEIR SUPPLIERS
- * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
- * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
- * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
- * SOFTWARE.
- */
-
-/*
- * Authors:
- *   David H. Dawes <dawes@xfree86.org>
- *   Kevin E. Martin <kem@redhat.com>
- *   Rickard E. (Rik) Faith <faith@redhat.com>
- *
- */
-
-/** \file
- * Provide the main entry points for input initialization and processing
- * that arequired by the dix layer.
+ * Author: David Reveman <davidr@novell.com>
  */
 
 #ifdef HAVE_DMX_CONFIG_H
